/* Custom mixins */
clx-video-banner {
  display: block;
  position: relative;
  overflow: hidden;
  width: 100%;
}
#content_part clx-video-banner.video-banner {
  padding-left: 0;
  padding-right: 0;
}
.video-banner__container {
  position: relative;
  width: 100%;
  min-height: 200px;
}
.video-banner__video {
  width: 100%;
  object-fit: cover;
}
.video-banner__video.video-banner__video--landscape {
  display: block;
  height: var(--video-banner-landscape-height);
}
.video-banner__video.video-banner__video--portrait {
  display: none;
  height: var(--video-banner-portrait-height);
}
@media (max-aspect-ratio: 1/1) {
  .video-banner__video.video-banner__video--landscape {
    display: none;
  }
  .video-banner__video.video-banner__video--portrait {
    display: block;
  }
}
.video-banner__play-pause-button {
  all: unset;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.video-banner__play-icon {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 0.5em;
  background: #FFFFFF;
  color: #1A1A20;
  border-radius: 50%;
  font-size: 20px;
  z-index: 1;
  pointer-events: none;
  border: 1px solid rgba(0, 0, 0, 0.4);
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}
.video-banner.video-banner--paused .video-banner__container::before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.3);
  pointer-events: none;
}
.video-banner.video-banner--paused .video-banner__play-icon {
  display: inline-block;
}
.video-banner__content {
  position: absolute;
  bottom: 0;
  display: flex;
  flex-direction: column;
  padding: 2rem;
  max-width: 60rem;
  width: 100%;
}
@media only screen and (min-width: 768px) {
  .video-banner__content {
    padding: 4rem;
  }
}
.video-banner__content.video-banner__content--center {
  left: 50%;
  transform: translateX(-50%);
  align-items: center;
}
.video-banner__content.video-banner__content--left {
  left: 0;
  align-items: flex-start;
}
.video-banner__content.video-banner__content--right {
  right: 0;
  align-items: flex-end;
}
.video-banner__consumption {
  margin-top: 1.5rem;
}
.video-banner__consumption p {
  font-size: 1.3rem;
  line-height: 1.5rem;
}
.video-banner__content:has(.video-banner__consumption) {
  padding-bottom: 0.5rem;
}
.video-banner__content {
  pointer-events: none;
}
.video-banner__content sl-button {
  pointer-events: auto;
}
